# Fail2ban configuration file
[Definition]

norestored = 1

actionstart =

actionstop =

actioncheck =

actionban = curl -sSf "https://api.abuseipdb.com/api/v2/report" -H "Accept: application/json" -H "Key: <abuseipdb_apikey>" --data-urlencode "comment=Fail2ban Reports Abuse." --data-urlencode "ip=<ip>" --data "categories=<abuseipdb_category>"

actionunban = curl -X DELETE "https://api.abuseipdb.com/api/v2/clear-address" -H "Accept: application/json" -H "Key: <abuseipdb_apikey>" --data-urlencode "ipAddress=<ip>"

[Init]
# Option:  abuseipdb_apikey
abuseipdb_apikey = 0cddfe70a4a30f99e43dc693f3a5d29e0be9db6e270d5a209fee18880084d509811ffffcafcd8b77
